package cz.frantovo.abcDrupal;

import java.util.Date;

/**
 * Řídící třída, stará se o konverzi z databáze Drupalu do databáze ABC.
 * @author fiki
 */
public class Konvertor {

    private String jdbcZdroj;
    private String jdbcCil;
    private PosluchacLogu posluchacLogu;

    public Konvertor(String jdbcZdroj, String jdbcCil, PosluchacLogu posluchacLogu) {
	this.jdbcZdroj = jdbcZdroj;
	this.jdbcCil = jdbcCil;
	this.posluchacLogu = posluchacLogu;
    }

    public void konvertuj() {
	vypis("Začíná migrace");
	vypis("Migrace dokončena");
    }

    private void vypis(String zprava) {
	if (posluchacLogu != null) {
	    posluchacLogu.vypis(new Date() + " " + zprava);
	}
    }
}
